Update relationPOST

Description

Updates the relation type of the relation between a task and a related task. Only the first task in the URL needs to be on the same board as the API token.

Permissions

The API token needs the Edit tasks permission.

Request format

curl -X POST https://kanbanflow.com/api/v1/tasks/<TASK_ID>/relations/by-related-task-id/<RELATED_TASK_ID> -H "Content-type: application/json"
 -d '{ "<PROPERTY_1>": <PROPERTY_VALUE_1> }'

Example request

curl -X POST https://kanbanflow.com/api/v1/tasks/T3s6UGyzY/relations/by-related-task-id/QuAzRUx8 -H "Content-type: application/json"
 -d '{ "relationType": "requiredBy" }'

Valid properties

PropertyTypeComment
relationTypeStringRequired. The type of the relation. Can be either "relatesTo" (Relates to), "dependsOn" (Depends on) or "requiredBy" (Required by). The relation type is seen from the perspective of the first task in the URL, in the same way as in Get relations.